Bug 810608

Summary: authconfig crashes on --update
Product: [Fedora] Fedora Reporter: Braden McDaniel <braden>
Component: sssdAssignee: Stephen Gallagher <sgallagh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 16CC: jhrozek, sbose, sgallagh, ssorce
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: sssd-1.8.2-10.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-24 11:02:21 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Braden McDaniel 2012-04-07 01:54:39 EDT
Description of problem:
The following command line crashes authconfig:
# /usr/sbin/authconfig --enablesssdauth --update --enablesssd
Traceback (most recent call last):
  File "/usr/sbin/authconfig", line 938, in <module>
    sys.exit(module.run())
  File "/usr/sbin/authconfig", line 538, in run
    self.writeAuthInfo()
  File "/usr/sbin/authconfig", line 505, in writeAuthInfo
    if not self.info.writeChanged(self.pristineinfo):
  File "/usr/share/authconfig/authinfo.py", line 3642, in writeChanged
    ret = ret and group.saveFunction()
  File "/usr/share/authconfig/authinfo.py", line 2974, in writeSSSD
    self.sssdConfig.save_domain(domain)
  File "/usr/lib/python2.7/site-packages/SSSDConfig.py", line 1969, in save_domain
    self.delete_option_subtree(section_subtree['values'], 'option', option['name'], True)
KeyError: 'values'

Most unfortunately, this command line is what ipa-client-install executes.

Version-Release number of selected component (if applicable):
1.8.1-9.fc16

How reproducible:
Consistently.
Comment 1 Braden McDaniel 2012-04-07 01:56:19 EDT
I tried 1.8.1-9.fc16 from updates-testing after first seeing this in 1.8.1-7.fc16.
Comment 2 Stephen Gallagher 2012-04-09 07:05:39 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1291
Comment 3 Stephen Gallagher 2012-04-09 07:06:59 EDT
Thanks for the bug report. We fixed this upstream last week and we'll be including it in the 1.8.2 release this week.
Comment 4 Fedora Update System 2012-04-09 15:31:01 EDT
sssd-1.8.2-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-4404/sssd-1.8.2-10.fc16
Comment 5 Fedora Update System 2012-04-10 23:59:36 EDT
Package sssd-1.8.2-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.8.2-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4404/sssd-1.8.2-10.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-24 11:02:21 EDT
sssd-1.8.2-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.